This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465779 - Xorg won't start when video splitter is used
Xorg won't start when video splitter is used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 08:20 EDT by Jonathan Dieter
Modified: 2009-01-09 02:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:53:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Normal xorg.conf (592 bytes, text/plain)
2008-10-06 08:20 EDT, Jonathan Dieter
no flags Details
Xorg.0.log when video splitter is plugged in (21.45 KB, text/plain)
2008-10-06 08:22 EDT, Jonathan Dieter
no flags Details
Xorg.0.log when monitor is plugged directly into computer (54.33 KB, text/plain)
2008-10-06 08:24 EDT, Jonathan Dieter
no flags Details
Xorg.conf with modelines (965 bytes, text/plain)
2008-10-06 08:25 EDT, Jonathan Dieter
no flags Details
Fedora 9 Xorg.0.log (8.89 KB, text/plain)
2008-10-09 04:26 EDT, Jonathan Dieter
no flags Details

  None (edit)
Description Jonathan Dieter 2008-10-06 08:20:06 EDT
Created attachment 319542 [details]
Normal xorg.conf

Description of problem:
We are trying to set up a Fedora 8 system so that it displays on both the monitor and a projector.  We are using a Trendnet video splitter with one output port marked DDC2/PnP Port.  When a monitor is plugged into both output ports, Xorg refuses to start and Xorg.0.log contains:

(II) intel(0): Output VGA disconnected
(EE) intel(0): No valid modes.

When the monitor is plugged directly into the onboard video card, everything works perfectly.  If xorg is started with the monitor plugged in, and then the splitter is plugged in *after* xorg starts, everything works perfectly.

So the question is, can I force Xorg to use the settings from when the monitor is plugged in directly, or is there a way for Xorg to detect the monitor settings from the "DDC2/PnP Port"?

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.1.1-7.fc8

How reproducible:
Always

Steps to Reproduce:
1. Plug video splitter into onboard video card
2. Attempt to start xorg
3.
  
Actual results:
Thrown back to cli

Expected results:
Fedora 8 login screen
Comment 1 Jonathan Dieter 2008-10-06 08:22:42 EDT
Created attachment 319543 [details]
Xorg.0.log when video splitter is plugged in
Comment 2 Jonathan Dieter 2008-10-06 08:24:00 EDT
Created attachment 319544 [details]
Xorg.0.log when monitor is plugged directly into computer
Comment 3 Jonathan Dieter 2008-10-06 08:25:31 EDT
Created attachment 319545 [details]
Xorg.conf with modelines

I have attempted to set modelines in Xorg, but with no success.  Here's what I was trying.
Comment 4 Jonathan Dieter 2008-10-09 04:26:50 EDT
Created attachment 319835 [details]
Fedora 9 Xorg.0.log

Just an FYI, I installed Fedora 9 on a separate partition and it goes one step further: when I start X, it shuts off the output to the monitor, and I have to ssh in to the machine to be able to do anything.  The error message in Xorg.0.log is attached.

The problem seems to be that the driver isn't able to detect the monitor through the video splitter, and therefore thinks that no monitor is plugged in.  It seems that F9 is smart enough to shut off the output to the monitor when no monitor is plugged in (for power savings?).

I can upgrade the F9 system to Rawhide if there have been some more major changes in the driver that haven't filtered back down to F9, but I'd obviously prefer not to.
Comment 5 Bug Zapper 2008-11-26 06:12:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:53:21 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.